<?php

error_reporting(0);

$filename = 'c_leitura.php';
session_start();
if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . "sealed" . DIRECTORY_SEPARATOR . "autoload.php";
include ('db.php');

$argsPost = array(
    'id' => array(
        'filter' => FILTER_VALIDATE_INT
    ),
    'nome' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'porcent' => array(
        'filter' => FILTER_VALIDATE_INT
    ),
    'perfil' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'apoio' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'fecharFaturasPonto' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'login' => array(
        'filter' => FILTER_SANITIZE_STRING
    ),
    'status' => array(
        'filter' => FILTER_VALIDATE_INT
    )
);

$inputPOST = filter_input_array(INPUT_POST, $argsPost);

$id = $inputPOST['id'];
$nome = $inputPOST['nome'];
$porcent = $inputPOST['porcent'];
$perfil = $inputPOST['perfil'];
$status = $inputPOST['status'];

// $id_pais = $_POST['id_pais'];
$fecharFaturasPonto = ($perfil == 6) ? $_POST['fecharFaturasPonto'] : 0;

if (!empty($inputPOST['apoio'])) {
    $apoio = $inputPOST['apoio'];
} else {
    $apoio = $_SESSION['UsuarioID'];
}
if ($perfil == 4) {
    $porcentagem_limite = 0;
    /**
     * SÓCIO
     */
    $getUser = userDAO::getUser($id);
    if ($getUser) {
        $getUser2 = userDAO::getUser($getUser->id_apoio);
        $porcentagem_limite = 100 - $getUser2->porcentagem;
    }
    if ($porcent > $porcentagem_limite) {
        echo json_encode(array('success' => 0, 'msg' => 'Limite de porcentagem excedida, máxima de : ' . $porcentagem_limite . "%"));
        exit;
    }
}

if (isset($_POST['pass'])) {
    if ($_POST['pass'] != $_POST['pass2']) {
        echo json_encode(array('success' => 0, 'msg' => 'Senhas informadas estão diferentes!'));
        exit;
    }
}

$sql = mysql_query("UPDATE user SET nome = '$nome', id_apoio = '$apoio',"
        . " nivel = '$perfil', status = '$status',  "
        . " fechar_faturas_ponto = '$fecharFaturasPonto' ,"
        . " porcentagem = $porcent "
        . " WHERE id = '$id'");

if (isset($_POST['login'])) {
    $sql = mysql_query("UPDATE user "
            . " SET username = '" . $inputPOST['login'] . "' ,"
            . " porcentagem = $porcent "
            . " WHERE id = '$id'");
}

if (isset($_POST['pass'])) {
    $pass = md5($_POST['pass']);
    $sql = mysql_query("UPDATE user SET passwd = '$pass' ,"
            . " porcentagem = $porcent "
            . " WHERE id = '$id'");
}

if ($sql) {
    echo json_encode(array('success' => 1, 'msg' => 'Registro alterado com sucesso!'));
} else {
    echo json_encode(array('success' => 0, 'msg' => 'Erro ao alterar o registro'));
}
exit;
